%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name hamlit

Summary: High Performance Haml Implementation
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.7.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/k0kubun/hamlit
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Requires: cfme-gemset
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby-devel
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
High Performance Haml Implementation.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE.txt
%{gem_extdir_mri}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/*.md
%{gem_instdir}/.gitignore
%{gem_instdir}/.travis.yml
%{gem_instdir}/*gemspec
%{gem_instdir}/benchmark
%{gem_instdir}/exe
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 11 2017 Satoe Imaishi <simaishi@redhat.com> - 2.7.5-1
- Update to 2.7.5

* Mon Oct 03 2016 Satoe Imaishi <simaishi@redhat.com> - 2.7.2-1
- Update to 2.7.2

* Tue Feb 09 2016 Satoe Imaishi <simaishi@redhat.com> - 2.0.2-1
- Initial Build
